Saltar para o conteúdo

Get resolution list

Request

Return the resolutions available for a user agent or operating system.

Security
OpenApiBearer
Bodyapplication/jsonrequired
uastring

User agent used to match resolutions.

Example:"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36"
osinteger(OperatingSystem)

Operating system:

  • 1 — Windows
  • 2 — macOS
  • 3 — Android
  • 4 — iOS
  • 5 — Linux
Enum:12345
Example:1
POST
/env/base/resolution/list
curl -i -X POST \
  https://api.morelogin.com/env/base/resolution/list \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "os": 1
  }'

Responses

Success. Returns an empty array when there are no matches.

Bodyapplication/json
codeintegerrequired

Return result code. 0 means success; other codes indicate exceptions.

Example:0
msgstring or nullrequired

Error message. Usually null on success.

Example:null
requestIdstring

Operation request ID. This field may be present when the request passes through the API gateway.

Example:"1d4f3ea968664593860b94b35d4ebf5e"
dataArray of objects(Resolution)required
Response
{ "code": 0, "msg": null, "requestId": "1d4f3ea968664593860b94b35d4ebf5e", "data": [ {} ] }